## ZendX_JQuery_View_Helper_JQuery

Description

jQuery Helper. Functions as a stack for code and loads all jQuery dependencies.

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_Json

Located in /JQuery/View/Helper/JQuery.php (line 52)

    Zend_View_Helper_Abstract
       |
       --ZendX_JQuery_View_Helper_JQuery

Variable Summary
Zend_View_Interface $view
Method Summary
static void disableNoConflictMode ()
static void enableNoConflictMode ()
static String getJQueryHandler ()
static Boolean getNoConflictMode ()
void __construct ()
ZendX_JQuery_View_Helper_JQuery_Container jQuery ()
void setView ( $view)
mixed __call (string $method, array $args)
Variables
Zend_View_Interface $view (line 57)

- access: public

Methods
static disableNoConflictMode (line 143)

Disable noConflict Mode of jQuery if this was previously enabled.

- access: public

static void disableNoConflictMode ()
static enableNoConflictMode (line 133)

Enable the jQuery internal noConflict Mode to work with other Javascript libraries. Will setup jQuery in the variable $j instead of $ to overcome conflicts.

- link: http://docs.jquery.com/Using_jQuery_with_Other_Libraries
- access: public

static void enableNoConflictMode ()
static getJQueryHandler (line 163)

Return current jQuery handler based on noConflict mode settings.

- access: public

static String getJQueryHandler ()
static getNoConflictMode (line 153)

Return current status of the jQuery no Conflict Mode

- access: public

static Boolean getNoConflictMode ()
Constructor __construct (line 75)

Initialize helper

Retrieve container from registry or create new container and store in registry.

- access: public

void __construct ()
jQuery (line 91)

Return jQuery View Helper class, to execute jQuery library related functions.

- access: public

ZendX_JQuery_View_Helper_JQuery_Container jQuery ()
setView (line 102)

Set view object

- access: public

void setView ( $view)

- Zend_View_Interface $view

__call (line 116)

Proxy to container methods

- throws: Zend_View_Exception For invalid method calls
- access: public

mixed __call (string $method, array $args)

- string $method
- array $args

Documentation generated on Mon, 24 Aug 2009 17:58:48 -0700 by phpDocumentor 1.4.2